Page MenuHomePhabricator

Unknown contentmodel wikibase-item
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2016.10.26/parsoid?id=AVgCthUrJLU8TfYD_qpx

During the deploy today,
https://www.mediawiki.org/wiki/Parsoid/Deployments#Wednesday.2C_October_26.2C_2016_around_1:15_PT:_ede4353_to_be_deployed_Reverted_to_63f1e151.2C_contentmodel_errs

Parsoid starting spewing these errors. Should the unknown model have fallen back to wikitext?

Separately, we should be running rt on some wikidatawiki pages.

Event Timeline

Arlolra created this task.Oct 26 2016, 9:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2016, 9:11 PM

Maybe we need that to be a warning, or have a whitelist for certain content
types. What does parsoid do with wikibase?

See T149114 for related discussion. @Pchelolo tells me that by the end of the week, they are going to make a decision about wikidata items in RESTBase.

Change 318467 had a related patch set uploaded (by Arlolra):
T149241: Whitelist content model fallbacks

https://gerrit.wikimedia.org/r/318467

Change 318467 merged by jenkins-bot:
T149241: Whitelist content model fallbacks

https://gerrit.wikimedia.org/r/318467

Arlolra closed this task as Resolved.Oct 29 2016, 12:04 AM
Arlolra claimed this task.

Mentioned in SAL (#wikimedia-operations) [2016-11-02T20:27:45Z] <arlolra> updated Parsoid to version 173d7e32 (T149241, T119228, T141723, T141905, T147742, T48580, T133320)